function applyPNGBackground(dRect)
{
	dRect.style.behavior ='url(#default#vml)';
	dRect.runtimeStyle.behavior ='url(#default#vml)';			
	var dParent =dRect.parentNode;
	var src = dParent.currentStyle.backgroundImage.split('"')[1];
	dRect.stroked = 'f';
	
	switch(dParent.currentStyle.backgroundRepeat.toLowerCase())
	{
		case 'repeat-x':;
		dRect.style.width = dParent.offsetWidth + 2 + 'px';
		break;

		case 'repeat-y':;
		
		dRect.style.height = dParent.offsetHeight + 'px';
		break;
	};
	
	
	switch(dParent.currentStyle.backgroundRepeat.toLowerCase())
	{			
		case 'no-repeat':;	
		dRect.filled = 'f';	
		dParent.style.backgroundImage = 'url()';
		dRect.runtimeStyle.filter = "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='" + src + "',sizingMethod='crop')";
		break;
		
		default:;	
		dRect.filled = 't';		
		dRect.fill.src = src ;
		dRect.fill.type = 'tile' ;	//type, string, "solid", "solid", "tile", "pattern", "frame".	
		dParent.style.backgroundImage = 'url()';
		break;
	};
}
